dpkg-deb(1)

NAMN
dpkg-deb - Debians manipuleringsverktyg för paketarkiv (.deb)

SYNOPS
dpkg-deb [flagga...] åtgärd

BESKRIVNING
dpkg-deb packar, packar upp och tillhandahåller information om Debianarkiv.

Använd dpkg för att installera och ta bort paket från ditt system.

Du kan även starta dpkg-deb genom att anropa dpkg med de flaggor du vill sända till dpkg-deb. dpkg kommer upptäcka att du ville åt dpkg-deb och kör det åt dig.

KOMMANDON

-b, --build katalog [arkiv|katalog]
    Skapar ett Debianarkiv från filsystemsträdet som lagras i katalog. katalog måste innehålla underkatalogen DEBIAN, vilken innehåller styrinformationsfiler såsom själv styrfilen control. Katalogen kommer inte att visas i binärpaketets filsystemsarkiv, utan istället kommer filerna läggas i binärpaketets styrinformationsområde. Såvida du inte anger --nocheck kommer dpkg-deb att läsa DEBIAN/control och tolka den. Den kommer leta efter syntaxfel och andra problem, och visa namnet på det binärpaket som byggs. dpkg-deb kommer även att kontrollera behörigheten på paketskripten och andra filer som hittas i styrinformationskatalogen DEBIAN. Om inget arkiv anges kommer dpkg-deb skriva paketet till filen katalog.deb. Om arkivet som skall skapas redan finns kommer det skrivas över. Om den andra argumentet är en katalog kommer dpkg-deb skriva till filen paket_version_arkitektur.deb, eller paket_version.deb om det inte finns något Architecture-fält i styrfilen control. När en målkatalog anges, istället för en fil, kan inte flaggan --nocheck användas (eftersom dpkg-deb måste läsa och tolka paketets styrfil control för att ta reda på vilket filnamn som skall användas).

-I, --info arkiv [control-filnamn ...]
    Tillhandahåller information om ett binärt paketarkiv. Om inga control-filnamn anges kommer det att visa en sammanfattning av innehållet i paketet tillsammans med dess styrfil. Om ett eller flera control-filnamn anges kommer dpkg-deb att skriva ut dem i den ordning de anges. Om några av komponenterna inte fanns kommer ett felmeddelande för vart och ett skrivas ut på standard fel, och programmet avslutar med felstatus 2.

-W, --show arkiv
    Ger information om ett binärt paketarkiv i det format som anges med flaggan --showformat. Det förvalda formatet visar paketets namn och version på en rad, avdelade med tabulatortecken.

-f, --field arkiv [control-fältnamn ...]
    Extraherar styrfilsinformation från ett binärt paketarkiv. Om du inte anger några styrfilfält visas hela styrfilen. Om några anges kommer dpkg-deb att visa deras innehåll, i den ordning de förekommer i styrfilen. Om mer än ett styrfilsfält anges kommer dpkg-deb visa varje med ett inledande fältnamn (och ett kolon och mellanrum). Inga felmeddelande rapporteras för fält som efterfrågas men inte hittas.

-c, --contents arkiv
    Visar innehåller i filsystemsträdsarkivsdelen av paketarkivet. Det visas för närvarande i det format som genereras av tars pratsamma visning.

-x|--extract arkivkatalog
    Extraherar filsystemsträdet från ett paketarkiv till den angivna katalogen. Observera att en extrahering av ett paket till rotkatalogen inte resulterar i en korrekt installation! Använd dpkg för att installera paket. katalog (men inte dess föräldrar) kommer skapas om nödvändigt, och dess behörighet kommer att ändras till att motsvara innehållet i paketet.

-C|--vextract arkivkatalog
    Är som --extract (-x) med --verbose (-v) som visar en lista över filer som extraheras under tiden.

-R, --raw-extract arkivkatalog
    Extraherar filsystemsträdet från ett paketarkiv till den angivna katalogen och kontrollinformationsfilerna till underkatalogen DEBIAN i den angivna katalogen. Målkatalogen (men inte dess föräldrar) kommer att skapas om nödvändigt.

--fsys-tarfile arkiv
    Extraherar filsystemsträdsdata från ett binärt paket och sänder det till standard ut i tar-format. Tillsammans med tar(1) kan det användas för att hämta ut en enskild fil från ett paketarkiv. Indataarkiven behandlas alltid i den ordning de anges.

-e, --control arkiv [katalog]
    Extraherar styrinformationsfilerna från paketarkivet till den angivna katalogen. Om ingen katalog anges kommer en underkatalog vid namn DEBIAN i den aktuella katalogen att användas. Målkatalogen (men inte dess föräldrar) kommer att skapas om nödvändigt.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--showformat=format
    Flaggan används för att ange formatet på utdata som skapas av --show. Formatet är en sträng som matas ut för varje paket i listan. Strängen kan referera till statusfält på formen "${field-name}", en förteckning över giltiga fält kan enkelt skapas genom att använda -I på samma paket. En fullständig förklaring av formateringsflaggorna (inklusive ersättningssekvenser och fälttabulering) finns i förklaringen för flaggan --showformat i dpkg-query(1). Förvalet för fältet är "${Package}\t${Version}\n".

-zkomprimeringsnivå
    Ange vilken komprimeringsnivå som skall användas i komprimeringsfunktionen när ett paket byggs (standard är 9 för gzip och bzip2, 6 för xz och lzma). Giltiga värden är 0-9 där: 0 mappas mot komprimeraren ingen för gzip och till 1 för bzip2. Före dpkg 1.16.2 var nivå 0 komprimeraren ingen för alla komprimerare.

-Skomprimeringsstrategi
    Specify which compression strategy to use on the compressor backend, when building a package (since dpkg 1.16.2). Allowed values are none (since dpkg 1.16.4), filtered, huffman, rle and fixed for gzip (since dpkg 1.17.0) and extreme for xz.

-Zkomprimeringstyp
    Ange vilken komprimeringstyp som skall användas när ett paket byggs. Tillåtna värden är gzip, xz, bzip2, lzma och none (förval är gzip).

--deb-format=format
    Set the archive format version used when building (since dpkg 1.17.0). Allowed values are 2.0 for the new format, and 0.939000 for the old one (default is 2.0). The old archive format is less easily parsed by non-Debian tools and is now obsolete; its only use is when building packages to be parsed by versions of dpkg older than 0.93.76 (September 1995), which was released as i386 a.out only.

--new
    This is a legacy alias for --deb-format=2.0.

--old
    This is a legacy alias for --deb-format=0.939000.

--nocheck
    Förhindrar dpkg-deb --build s normala tester på det föreslagna innehållet i arkivet. Du kan bygga vilket arkiv du än vill, oavsett hur trasigt, på det här sätt.

-v, --verbose
    Aktiverar pratsam utdata. Påverkar för närvarande bara --extract, vilket får det att bete sig som --vextract.

-D, --debug
    Aktiverar felsökningsutdata. Denna är inte speciellt intressant.

MILJÖVARIABLER

TMPDIR
    Om satt så kommer dpkg-deb att använda det som katalogen där temporära filer och kataloger skapas.

ANTECKNINGAR
Försök inte använda bara dpkg-deb för att installera programvara! Du måste använda normala dpkg för att se till att alla filer läggs på korrekt plats och att paketets skript körs och dess status och innehåll sparas.

PROGRAMFEL
dpkg-deb -I paket1.deb paket2.deb gör fel. Det finns inte någon autentisering av .deb-filer. Faktiskt finns det inte ens någon enkel kontrollsumma. (Verktyg som arbetar på en högre nivå, som APT, stöder autentisering av .deb-paket som hämtas från ett givet arkiv, och de flesta paket har nu för tiden en md5sum-kontrollfil som skapas av debian/rules. Filen stöds dock inte direkt av lågnivåverktygen.)

SE ÄVEN
deb(5), deb-control(5), dpkg(1), dselect(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.